#ifndef __highscores_h__
#define __highscores_h__

// Structs
typedef struct userStruct {
    char Username[50], Score[30];
} User;
// End Structs

// Prototypes
void HIGHSCORES_Initialize();
void printFontStyle(TTF_Font * ffont);
void HIGHSCORES_MouseClicked(SDL_MouseButtonEvent b);
void HIGHSCORES_Draw(SDL_Renderer * renderer);
void HIGHSCORES_Deinitialize();
void HIGHSCORES_GenerateTexture(SDL_Renderer * renderer);
void HIGHSCORES_DrawText(char * text, SDL_Rect * Message_rect);
bool HIGHSCORES_UploadScore(char * username, int score);
bool HIGHSCORES_Login(char * username, char * password);
bool HIGHSCORES_Register(char * username, char * password);
void HIGHSCORES_ReloadList();
// End Prototypes

#endif
